<template>
  <div>
    <App v-if="user" />
    <Login v-else :errorMessage="errorMessage" @submit="login" />
  </div>
</template>

<script>
import { login } from "../authentication";
import App from "./App";
import Login from "Login";

export default {
  data() {
    return {
      user: null,
      errorMessage: ""
    };
  },

  methods: {
    login({ email, password }) {
      this.user = login(email, password);
      this.errorMessage = this.user ? "" : "Authentication failed, please try again";
    }
  },

  components: { App, Login }
};
</script>

<style>
</style>
